%define upstream_name    Dist-Zilla-Plugin-Prereqs-Soften
%define upstream_version 0.006002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Downgrade listed dependencies to recommendations if present
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This module iterates 'build', 'require' and 'test' dependency lists and
migrates dependencies found in '.requires' and demotes them to
'.recommends'

Optionally, it can /copy_to

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.6.2-1.mga6
+ Revision: 1010630
- update to 0.006002

* Mon Dec 28 2015 shlomif <shlomif> 0.6.1-1.mga6
+ Revision: 916496
- Importing from cpan2pkg

